#
# Hack to map some email addrs to a default employer
#

#
# This code is part of the LWN git data miner.
#
# Copyright 2007 LWN.net
# Copyright 2007 Jonathan Corbet <corbet@lwn.net>
#
# This file may be distributed under the terms of the GNU General
# Public License, version 2.
#

import PrivateMap


EmailToEmployer = {
    #
    # Known individual addresses.
    #
#    'akpm@linux-foundation.org': 'Andrew',
    'mingo@elte.hu': 'Red Hat',			# Ingo
    'alan@lxorguk.ukuu.org.uk': 'Red Hat',	# Alan Cox
    'linville@tuxdriver.com': 'Red Hat',	# John Linville
    'chrisw@sous-sol.org': 'Red Hat',		# Chris Wright
    'sandeen@sandeen.net': 'Red Hat',		# Eric Sandeen
    'rostedt@goodmis.org': 'Red Hat',		# Steven Rostedt
    'michaelc@cs.wisc.edu': 'Red Hat',		# Mike Christie
    'davem@davemloft.net': 'Red Hat',		# Dave Miller
    'jgarzik@pobox.com': 'Red Hat',		# Jeff Garzik
    'peterz@infradead.org': 'Red Hat',		# Peter Zijlstra
    'a.p.zijlstra@chello.nl': 'Red Hat',	# Peter Zijlstra
    'viro@www.linux.org.uk': 'Red Hat',		# Al Viro
    'mzxreary@0pointer.de': 'Red Hat',		# Lennart Poettering
    'nhorman@tuxdriver.com': 'Red Hat',		# Neil Horman
    'eugeneteo@kernel.sg': 'Red Hat',		# Eugene Teo

    'arjan@infradead.org': 'Intel',			# Arjan
    'lenb@kernel.org': 'Intel',				# Len Brown

    'jra@samba.org': 'Google',
    'kernel1@cyberdogtech.com': 'Google',		# Matt LaPlante

    'rustcorp.com.au': 'IBM',			# Rusty
    'paulus@samba.org': 'IBM',			# Paul
    'benh@kernel.crashing.org': 'IBM',		# Ben H.
    'tony@bakeyournoodle.com': 'IBM',		# Tony Breeds
    'michael@ellerman.id.au': 'IBM',		# Michael Ellerman
    'mikey@neuling.org': 'IBM',			# Michael Neuling
    'sonny@burdell.org': 'IBM',			# Sonny Rao
    'konrad@darnok.org': 'IBM',			# Konrad Rzeszutek
    'apw@shadowen.org': 'IBM',			# Andy Whitcroft
    'arnd@arndb.de': 'IBM',				# Arnd

    'htejun@gmail.com': 'Novell',			# Tejun
    'miklos@szeredi.hu': 'Novell',			# Miklos
    'khali@linux-fr.org': 'Novell',			# Jean
    'pavel@ucw.cz': 'Novell',				# Pavel
    'neilb@cse.unsw.edu.au': 'Novell',			# Neil Brown

    'trond.myklebust@fys.uio.no': 'NetApp',		# Trond

    'wli@holomorphy.com':'Oracle',			# Bill Irwin
    'jeremy@goop.org':'XenSource',			# Jeremy
    'roland@topspin.com':'Cisco',			# Roland Dreier
    'pcnet32@verizon.net': 'Cisco',			# Don Fry
    'adobriyan@gmail.com': 'SWsoft',			# Dobriyan
    'kuznet@ms2.inr.ac.ru': 'SWsoft',			# ANK
    'dale@farnsworth.org': 'MontaVista',		# Dale Farnsworth
    'vksavl@gmail.com': 'MontaVista',			# Pavel Kiryukhin
    'dilinger@queued.net': 'OLPC',			# Andres Salomon
    'jacmet@sunsite.dk': 'Barco',			# Peter Korsgaard
    'junkio@cox.net': 'Twin Sun',			# Junio C Hamano
    'hpa@zytor.com': 'rPath',				# HPA as of March 2007
    'caglar@pardus.org.tr': 'Pardus',
    'mpm@selenic.com': 'CE Linux Forum',		# Matt Mackall
    'gardner.ben@gmail.com': 'Wabtec Railway Electronics',	# Ben Gardner
    'corey@mutternet.com': 'Broadcom',			# Corey Mutter
    'sfeldma@onlinenw.com': 'Nuova Systems',		# Scott Feldman
    'nakam@linux-ipv6.org': 'Hitachi',			# Masahide NAKAMURA
    'horms@verge.net.au': 'VA Linux Systems Japan',	# Horms
    'psandeep.s@gmail.com': 'Celunite',			# Sandeep Sanjay Patil
    'stigge@antcom.de': 'PHILOSYS Software',		# Roland Stigge
    'chainsaw@gentoo.org': 'London Internet Exchange',	# Tony Vroon
    'w@1wt.eu': 'EXOSEC',				# Willy Tarreau
    'luiscarlos@gmail.com': 'cozybit',			# Luis Carlos Cobo
    'mlord@pobox.com': 'Real-Time Remedies',		# Mark Lord
    'sds@tycho.nsa.gov': 'US National Security Agency',	# Stephen Smalley
    'r.marek@assembler.cz': 'SYSGO',			# Rudolf Marek
    'ebs@ebshome.net': 'Stream Processors',		# Eugene Surovegin
    'jan.nikitenko@gmail.com': 'ATRON electronic',	# Jan Nikitenko
    'jc@eclis.ch': 'CeTT',				# Jean-Christian de Rivaz
    'wharms@bfs.de': 'German Government',		# walter harms
    's0348365@sms.ed.ac.uk': 'Edinburgh Robotics',	# Alistair John Strachan
    'andy@netfall.com': 'Onstor',			# Andrew Sharp
    'jcrigby@gmail.com': 'Freescale',			# John Rigby
    'gl@dsa-ac.de': 'DSA',				# Guennadi Liakhovetski
    'jengelh@gmx.de': 'CC Computer Consultants',	# Jan Engelhardt
    'jengelh@linux01.gwdg.de': 'CC Computer Consultants',	# Jan Engelhardt
    'fmalita@gmail.com': 'IPUnity-Glenayre',		# Florin Malita
    'jelle@foks.8m.com': 'Observision',			# Jelle Foks
    'andy@warmcat.com': 'Crash Barrier',		# Andy Green
    'lsorense@csclub.uwaterloo.ca': 'RuggedCom',	# Lennart Sorensen
    'socketcan@hartkopp.net': 'Volkswagen',		# Oliver Hartkopp
    'vandrove@vc.cvut.cz': 'CTU',			# Petr Vandrovec
    'julian_cable@yahoo.com': 'BBC',			# Julian Cable
    'da-x@monatomic.org': 'XIV Information Systems',	# Dan Aloni

    '8d.com': '8D Technologies',
    'Emulex.Com': 'Emulex',
    'emulex.com': 'Emulex',
    'Pheonix.com': 'Phoeonix',
    'SteelEye.com': 'SteelEye',
    'TrustedCS.com': 'Trusted Computer Solutions',
    'adaptec.com': 'Adaptec',
    'akamai.com': 'Akamai Technologies',
    'am.sony.com': 'Sony',
    'amd.com': 'AMD',
    'analog.com': 'Analog Devices',
    'arm.com': 'ARM',
    'atmel.com': 'Atmel',
    'atomide.com': 'Atomide',
    'baslerweb.com': 'Basler Vision Technologies',
    'bluehost.com': 'Bluehost',
    'bluewatersys.com': 'Bluewater Systems',
    'broadcom.com': 'Broadcom',
    'brontes3d.com': 'Brontes Technologies',
    'bull.net': 'Bull',
    'chelsio.com': 'Chelsio',
    'cisco.com': 'Cisco',
    'clusterfs.com': 'ClusterFS',
    'compulab.co.il': 'CompuLab',
    'computergmbh.de': 'CC Computer Consultants',
    'conectiva.com.br': 'Mandriva',
    'cosmosbay.com': 'Cosmosbay~Vectis',
    'cozybit.com': 'cozybit',
    'cray.com': 'Cray',
    'dell.com': 'Dell',
    'denx.de': 'DENX Software Engineering',
    'devicescape.com': 'Devicescape',
    'digi.com': 'Digi International',
    'dti2.net': 'DTI2 - Desarrollo de la tecnologia de las comunicaciones',
    'elandigitalsystems.com': 'Elan Digital Systems',
    'embeddedalley.com': 'Embedded Alley Solutions',
    'empirix.com': 'Empirix',
    'emulex.com': 'Emulex',
    'emulex.com': 'Emulex',
    'endrelia.com': 'Endrelia',
    'ericsson.com': 'Ericsson',
    'free-electrons.com': 'Free Electrons',
    'freescale.com': 'Freescale',
    'garzik.org': 'Red Hat',
    'google.com': 'Google',
    'hauppauge.com': 'Hauppauge',
    'hermes-softlab.com': 'HERMES SoftLab',
    'hevs.ch': 'HES-SO Valais Wallis',
    'hitachi.co.jp':'Hitachi',
    'hitachi.com': 'Hitachi',
    'hp.com': 'HP',
    'ibm.com': 'IBM',
    'ibp.de': 'ipb (uk) Ltd.',
    'icplus.com.tw': 'IC Plus',
    'intel.com': 'Intel',
    'iram.es': 'IRAM',
    'jmicron.com': 'jmicron.com',
    'fujitsu.com': 'Fujitsu',
    'katalix.com': 'Katalix Systems',
    'kiethp.com': 'Intel',
    'laptop.org': 'OLPC',
    'laurelnetworks.com': 'ECI Telecom',
    'linutronix.de': 'linutronix',
    'linux-foundation.org': 'Linux Foundation',
    'lnxi.com': 'Linux Networx',
    'logitech.com': 'Logitech',
    'lsi.com': 'LSI Logic',
    'lsil.com': 'LSI Logic',
    'lwn.net': 'LWN.net',
    'macqel.be': 'Macq Electronique',
    'macqel.com': 'Macq Electronique',
    'mandriva.com.br': 'Mandriva',
    'mellanox.co.il': 'Mellanox',
    'melware.de': 'Cytronics & Melware',
    'microgate.com': 'MicroGate Systems',
    'mips.com': 'MIPS',
    'miraclelinux.com':'Miracle Linux',
    'mn-solutions.de': 'M&N Solutions',
    'motorola.com':'Motorola',
    'movial.fi': 'Movial',
    'mvista.com': 'MontaVista',
    'myri.com': "Myricom",
    'namesys.com': 'NameSys',
    'nec.co.jp': 'NEC',
    'nec.com': 'NEC',
    'netapp.com': 'NetApp',
    'neterion.com': 'Neterion',
    'netxen.com': 'NetXen',
    'nokia.com': 'Nokia',
    'nomadgs.com': 'Nomad Global Solutions',
    'novell.com': 'Novell',
    'ntt.co.jp': 'NTT',
    'nuovasystems.com': 'Nuova Systems',
    'nvidia.com': 'NVidia',
    'onelan.co.uk': 'ONELAN',
    'onstor.com': 'Onstor',
    'opengridcomputing.com': 'Open Grid Computing',
    'openvz.org': 'SWsoft',
    'oracle.com': 'Oracle',
    'osdl.org': 'Linux Foundation',
    'ozlabs.org': 'IBM',
    'panasonic.com': 'Panasonic',
    'pengutronix.de': 'Pengutronix',
    'pikron.com': 'PiKRON s.r.o',
    'promise.com': 'Promise Technology',
    'qlogic.com': 'QLogic',
    'QLogic.com': 'QLogic',
    'qumranet.com': 'Qumranet',
    'realtek.com.tw': 'Realtek',
    'redhat.com': 'Red Hat',
    'renesas.com': 'Renesas Technology',
    'rockwell.com': 'Rockwell',
    'rtr.ca': 'Real-Time Remedies',
    'samsung.com': 'Samsung',
    'sanpeople.com': 'SANPeople',
    'secretlab.ca': 'Secretlab',
    'sgi.com': 'SGI',
    'siemens.com': 'Siemens',
    'sierrawireless.com': 'Sierra Wireless',
    'snapgear.com': 'Snapgear',
    'solidboot.com': 'Solid Boot Ltd.',
    'sony.co.jp': 'Sony',
    'sony.com': 'Sony',
    'sonycom.com': 'Sony',
    'st.com': 'ST Microelectronics',
    'sun.com': 'Sun',
    'suse.com': 'Novell',
    'suse.cz': 'Novell',
    'suse.de': 'Novell',
    'sw.ru': 'SWsoft',
    'swsoft.com': 'SWsoft',
    'telargo.com': 'Telargo',
    'tensilica.com': 'Tensilica',
    'ti.com': 'Texas Instruments',
    'toshiba.co.jp': 'Toshiba',
    'tresys.com': 'Tresys',
    'tripeaks.co.jp': 'Tripeaks',
    'tungstengraphics.com': 'Tungsten Graphics',
    'ubuntu.com': 'Canonical',
    'uhulinux.hu': 'UHU-Linux',
    'unisys.com': 'Unisys',
    'valinux.co.jp': 'VA Linux Systems Japan',
    'verismonetworks.com': 'Verismo',
    'veritas.com': 'Veritas',
    'via.com.tw': 'Via',
    'vmware.com': 'VMWare',
    'volkswagen.de': 'Volkswagen',
    'voltaire.com': 'Voltaire',
    'wabtec.com': 'Wabtec Railway Electronics',
    'winbond.com': 'Winbond Electronics',
    'winbond.com.tw': 'Winbond Electronics',
    'windriver.com': 'Wind River',
    'wipro.com': 'Wipro',
    'wolfsonmicro.com': 'Wolfson Microelectronics',
    'xensource.com': 'XenSource',
    'xiv.co.il': 'XIV Information Systems',
    'xivstorage.com': 'XIV Information Systems',
#    'rowland.harvard.edu': 'Rowland Institute, Harvard',


    # Amateurs
    'Eric.Piel@tremplin-utc.net': '(None)',
    'adaplas@gmail.com': '(None)',
    'aet@rasterburn.org': '(None)',
    'albertito@gmail.com': '(None)',
    'alsbergt@cs.huji.ac.il': '(None)',
    'alsbergt@cs.huji.ac.il': '(None)',
    'amit2030@gmail.com': '(None)',
    'andi@rhlx01.hs-esslingen.de': '(None)',
    'aneesh.kumar@gmail.com': '(None)',
    'arnaud.patard@rtp-net.org': '(None)',
    'arvidjaar@mail.ru': '(None)',
    'aurelien@aurel32.net': '(None)',
    'avuton@gmail.com': '(None)',
    'bainonline@gmail.com': '(None)',
    'balrogg@gmail.com': '(None)',
    'bbpetkov@yahoo.de': '(None)',
    'bdschuym@pandora.be': '(None)',
    'ben.nizette@iinet.net.au': '(None)',
    'bgerst@didntduck.org': '(None)',
    'chris2553@googlemail.com': '(None)',
    'clemens@ladisch.de': '(None)',
    'craig@microtron.org.uk': '(None)',
    'crquan@gmail.com': '(None)',
    'dahms@fh-brandenburg.de': '(None)',
    'darwish.07@gmail.com': '(None)',
    'davi@haxent.com.br': '(None)',
    'david@hardeman.nu': '(None)',
    'davide.brini@unibo.it': '(None)',
    'denver@ossguy.com': '(None)',
    'deweerdt@free.fr': '(None)',
    'dmitry.adamushko@gmail.com': '(None)',
    'dmitry.torokhov@gmail.com': '(None)',
    'dougsland@gmail.com': '(None)',
    'drzeus@drzeus.cx': '(None)',
    'dsd@gentoo.org': '(None)',
    'dtor@insightbb.com': '(None)',
    'dtor@mail.ru': '(None)',
    'e9hack@googlemail.com': '(None)',
    'eike-kernel@sf-tec': '(None)',
    'emilonlinester@gmail.com': '(None)',
    'epvipas@gmail.com': '(None)',
    'eric.rannaud@gmail.com': '(None)',
    'erik@hovland.org': '(None)',
    'errandir_news@mph.eclipse.co.uk': '(None)',
    'fbuihuu@gmail.com': '(None)',
    'fengguang.wu@gmail.com': '(None)',
    'florian.fainelli@int-evry.fr': '(None)',
    'folkert@vanheusden.com': '(None)',
    'fthain@telegraphics.com.au': '(None)',
    'fzu@wemgehoertderstaat.de': '(None)',
    'g.liakhovetski@gmx.de': '(None)',
    'geert@linux-m68k.org': '(None)',
    'gorcunov@gmail.com': '(None)',
    'guichaz@yahoo.fr': '(None)',
    'guido.scholz@bayernline.de': '(None)',
    'hancockr@shaw.ca': '(None)',
    'hartmut.hackmann@t-online.de': '(None)',
    'haveaniceday@cv-sv.de': '(None)',
    'henne@nachtwindheim.de': '(None)',
    'hirofumi@mail.parknet.co.jp': '(None)',
    'honza@jikos.cz': '(None)',
    'hverkuil@xs4all.nl': '(None)',
    'jakj@j-a-k-j.com': '(None)',
    'jarkao2@o2.pl': '(None)',
    'jesper.juhl@gmail.com': '(None)',
    'johann.deneux@gmail.com': '(None)',
    'johannes@sipsolutions.net': '(None)',
    'johnpol@2ka.mipt.ru': '(None)',
    'jpritikin@pobox.com': '(None)',
    'karl.pickett@gmail.com': '(None)',
    'kees@outflux.net': '(None)',
    'konstantin.sharlaimov@gmail.com': '(None)',
    'kristoffer.ericson@gmail.com': '(None)',
    'kristoffer_e1@hotmail.com': '(None)',
    'kumba@gentoo.org': '(None)',
    'kune@deine-taler.de': '(None)',
    'lasse.collin@tukaani.org': '(None)',
    'linux@zachcarter.com': '(None)',
    'lists@harbaum.org': '(None)',
    'lt73@cs.drexel.edu': '(None)',
    'macro@linux-mips.org': '(None)',
    'malattia@linux.it': '(None)',
    'marco.roeland@xs4all.nl': '(None)',
    'mark@glines.org': '(None)',
    'mark@mtfhpc.demon.co.uk': '(None)',
    'mattias.nissler@gmx.de': '(None)',
    'maxextreme@gmail.com': '(None)',
    'maxime@tralhalla.org': '(None)',
    'maximlevitsky@gmail.com': '(None)',
    'mcostalba@gmail.com': '(None)',
    'mgarski@post.pl': '(None)',
    'michal.k.k.piotrowski@gmail.com': '(None)',
    'milindchoudhary@gmail.com': '(None)',
    'milon@wq.cz': '(None)',
    'mirq-linux@rere.qmqm.pl': '(None)',
    'molletts@yahoo.com': '(None)',
    'mvrh@freeshells.ch': '(None)',
    'nicolas@boichat.ch': '(None)',
    'o.endriss@gmx.de': '(None)',
    'oleg@tv-sign.ru': '(None)',
    'pat-lkml@erley.org': '(None)',
    'patrakov@ums.usu.ru': '(None)',
    'penberg@cs.helsinki.fi': '(None)',
    'peter@dadeos.co.uk': '(None)',
    'peter@p12n.org': '(None)',
    'petero2@telia.com': '(None)',
    'petr@vandrovec.name': '(None)',
    'pez-gpg@treeofice.net': '(None)',
    'phil@ipom.com': '(None)',
    'philipl@overt.org': '(None)',
    'philipp.zabel@gmail.com': '(None)',
    'pierre@pirsoft.de': '(None)',
    'pillarama@gmail.com': '(None)',
    'proski@gnu.org': '(None)',
    'pwarudkar@aol.com': '(None)',
    'rafalbilski@interia.pl': '(None)',
    'richard@rsk.demon.co.uk': '(None)',
    'righiandr@users.sourceforge.net': '(None)',
    'robbat2@gentoo.org': '(None)',
    'royale@zerezo.com': '(None)',
    'sam@liddicott.com': '(None)',
    'sam@ravnborg.org': '(None)',
    'samuel.thibault@ens-lyon.org': '(None)',
    'samuel.thibault@fnac.net': '(None)',
    'samuel@sortiz.org': '(None)',
    'santiago@crfreenet.org': '(None)',
    'schmitz@debian.org': '(None)',
    'schmitz@mail.biophys.uni-duesseldorf.de': '(None)',
    'segher@kernel.crashing.org': '(None)',
    'simon@budig.de': '(None)',
    'simon@fire.lp0.eu': '(None)',
    'snakebyte@gmx.de': '(None)',
    'spock@gentoo.org': '(None)',
    'stefanr@s5r6.in-berlin.de': '(None)',
    'stsp@aknet.ru': '(None)',
    'syrjala@sci.fi': '(None)',
    'takada@mbf.nifty.com': '(None)',
    'tausq@debian.org': '(None)',
    'tbm@cyrius.com': '(None)',
    'thomas@devbase.at': '(None)',
    'tilman@imap.cc': '(None)',
    'tklauser@distanz.ch': '(None)',
    'tnt@246tNt.com': '(None)',
    'tsbogend@alpha.franken.de': '(None)',
    'uwe.koziolek@gmx.net': '(None)',
    'valdyn@gmail.com': '(None)',
    'vpivaini@cs.helsinki.fi': '(None)',
    'wesarg@informatik.uni-halle.de': '(None)',
    'wim@iguana.be': '(None)',
    'xiyou.wangcong@gmail.com': '(None)',
    'xrgtn@yandex.ru': '(None)',
    'xschmi00@stud.feec.vutbr.cz': '(None)',
    'youpi_486@yahoo.com': '(None)',
#    'davidel@xmailserver.org': '(None)',  # or symantic?

    # Consultants
    'baruch@ev-en.org': '(Consultant)',
    'bgat@billgatliff.com': '(Consultant)',
    'cbrake@bec-systems.com': '(Consultant)',
    'giometti@enneenne.com': '(Consultant)',
    'hal.rosenstock@gmail.com': '(Consultant)',
    'halr@voltaire.com': '(Consultant)',
    'jayakumar.lkml@gmail.com': '(Consultant)',
    'jkrzyszt@tis.icnet.pl': '(Consultant)',
    'joern@lazybastard.org': '(Consultant)',
    'joern@logfs.org': '(Consultant)',
    'joern@wh.fh-wedel.de': '(Consultant)',
    'khc@pm.waw.pl': '(Consultant)',
    'luca.risolia@studio.unibo.it': '(Consultant)',
    'mjg59@srcf.ucam.org': '(Consultant)',
    'nate.diller@gmail.com': '(Consultant)',
    'peragrin.com': '(Consultant)',
    'ragner.magalhaes@indt.org.br': '(Consultant)',
    'smurf@smurf.noris.de': '(Consultant)',
    'stelian@popies.net': '(Consultant)',


    # Academics
    'dpreed@reed.com': '(Academia)',
    'galibert@pobox.com': '(Academia)',
    'ian.mcdonald@jandi.co.nz': '(Academia)',
    'j.borsboom@erasmusmc.nl': '(Academia)',
    'jheffner@psc.edu': '(Academia)',
    'josh@kernel.org': '(Academia)',
    'kauer@os.inf.tu-dresden.de': '(Academia)',
    'mathieu.desnoyers@polymtl.ca': '(Academia)',
    'mikpe@it.uu.se': '(Academia)',
    'padator@wanadoo.fr': '(Academia)',
    'pw@osc.edu': '(Academia)',
    'rjw@sisk.pl': '(Academia)',
    'satyam.sharma@gmail.com': '(Academia)',
    'sylvain.foret@anu.edu.au': '(Academia)',

    # Known unknowns :)
    'amnonaar@gmail.com': '(Unknown)',
    'oakad@yahoo.com': '(Unknown)',

};

EmailToEmployer.update (PrivateMap.PrivateMap)


def MapAddr (email, unknown = 0):
    try:
        return EmailToEmployer[email]
    except KeyError:
        pass
    namedom = email.split ('@')
    if len (namedom) < 2:
        print 'Oops...funky email %s' % email
        return 'Funky'
    s = namedom[1].split ('.')
    for dots in range (len (s) - 2, -1, -1):
        addr = '.'.join (s[dots:])
        try:
            return EmailToEmployer[addr]
        except KeyError:
            pass
    if unknown:
        return '(Unknown)'
    return email


#
# Hack to get around multiple addresses used by some developers.
#
EmailAliases = {
    'akpm@osdl.org': 'akpm@linux-foundation.org',
    'alan@redhat.com': 'alan@lxorguk.ukuu.org.uk',
    'bzolnier@gmail.com': 'Bartlomiej.Zolnierkiewicz@gmail.com',
    'dbrownell@users.sourceforge.ent': 'david-b@pacbell.net',
    'jsipek@fsl.cs.sunysb.edu': 'jsipek@cs.sunysb.edu',
    'mel@csn.ul.ie': 'mel@skynet.ie',
    'nickpiggin@yahoo.com.au': 'npiggin@suse.de',
    'olof@lixom.net': 'olof@austin.ibm.com',
    'takata@linux-m32r.org': 'takata.hirokazu@renesas.com',
    'torvalds@osdl.org': 'torvalds@linux-foundation.org',
    'torvalds@woody.linux-foundation.org': 'torvalds@linux-foundation.org',
    }

def RemapEmail (email):
    try:
        return EmailAliases[email]
    except KeyError:
        return email
